gnash-dev
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gnash-dev] Patch for autogen.sh


From: Mike Heffner
Subject: [Gnash-dev] Patch for autogen.sh
Date: Wed, 06 Sep 2006 20:36:31 -0400
User-agent: Thunderbird 1.5 (X11/20060119)

FWIW:

This patch allows you to relocate your autotools binaries and still run autogen.sh if you set the correct env. vars. Mainly allows having multiple autotools versions installed at once. Falls back to common names.


Cheers,


Mike

--

  Mike Heffner  <address@hidden>
                    <address@hidden>

Index: autogen.sh
===================================================================
RCS file: /sources/gnash/gnash/autogen.sh,v
retrieving revision 1.12
diff -u -r1.12 autogen.sh
--- autogen.sh  30 Aug 2006 17:44:46 -0000      1.12
+++ autogen.sh  7 Sep 2006 00:34:01 -0000
@@ -51,7 +51,7 @@
     exit 1
 }
 
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+(${AUTOCONF:-autoconf} --version) < /dev/null > /dev/null 2>&1 || {
   echo
   echo "**Error**: You must have \`autoconf' installed."
   echo "Download the appropriate package for your distribution,"
@@ -60,7 +60,7 @@
 }
 
 (grep "^AC_PROG_INTLTOOL" $srcdir/configure.ac >/dev/null) && {
-  (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+  (${INTLTOOLIZE:-intltoolize} --version) < /dev/null > /dev/null 2>&1 || {
     echo 
     echo "**Error**: You must have \`intltool' installed."
     echo "You can get it from:"
@@ -80,7 +80,7 @@
 }
 
 (grep "^AM_PROG_LIBTOOL" $srcdir/configure.ac >/dev/null) && {
-  (libtool --version) < /dev/null > /dev/null 2>&1 || {
+  (${LIBTOOL:-libtool} --version) < /dev/null > /dev/null 2>&1 || {
     echo
     echo "**Error**: You must have \`libtool' installed."
     echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/";
@@ -98,7 +98,7 @@
   }
 }
 
-(automake --version) < /dev/null > /dev/null 2>&1 || {
+(${AUTOMAKE:-automake} --version) < /dev/null > /dev/null 2>&1 || {
   echo
   echo "**Error**: You must have \`automake' installed."
   echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/";
@@ -108,7 +108,7 @@
 
 
 # if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+test -n "$NO_AUTOMAKE" || (${ACLOCAL:-aclocal} --version) < /dev/null > 
/dev/null 2>&1 || {
   echo
   echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
   echo "installed doesn't appear recent enough."
@@ -144,7 +144,7 @@
       fi
       if grep "^AC_PROG_INTLTOOL" configure.ac >/dev/null; then
         echo "Running intltoolize..."
-       intltoolize --copy --force --automake
+       ${INTLTOOLIZE:-intltoolize} --copy --force --automake
       fi
       if grep "^AM_PROG_XML_I18N_TOOLS" configure.ac >/dev/null; then
         echo "Running xml-i18n-toolize..."
@@ -153,24 +153,24 @@
       if grep "^AM_PROG_LIBTOOL" configure.ac >/dev/null; then
        if test -z "$NO_LIBTOOLIZE" ; then 
          echo "Running libtoolize..."
-         libtoolize --force --copy
+         ${LIBTOOLIZE:-libtoolize} --force --copy
        fi
       fi
       echo "Running aclocal $aclocalinclude ..."
-      aclocal $aclocalinclude
+      ${ACLOCAL:-aclocal} $aclocalinclude
       if grep "^AM_CONFIG_HEADER" configure.ac >/dev/null; then
        echo "Running autoheader..."
-       autoheader
+       ${AUTOHEADER:-autoheader}
       fi
       # This is a hack. Any command line arguments maens don't run Automake.
       # This is to prevent regenerating and checking in a pile of Makefiles
       # that haven't really changed. They clutter up the checkin messages.
       if test x"$1" = x ; then
         echo "Running automake $am_opt ..."
-        automake --add-missing --copy $am_opt
+        ${AUTOMAKE:-automake} --add-missing --copy $am_opt
       fi
       echo "Running autoconf ..."
-      autoconf
+      ${AUTOCONF:-autoconf}
     )
   fi
 done

reply via email to

[Prev in Thread] Current Thread [Next in Thread]